*,
*::before,
*::after {
  margin: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
  scroll-behavior: smooth;
}

:root {
  --primary-color: #71d9b2;
  --secondary-color: #a4907c;
  --lightmint-color: #f0fff8;
  --blackblue-color: #000a13;
  --white-color: #ffffff;
  --shadow-header-color: #71d9b24d;
}

.dark-theme {
  --blackblue-color: #f0fff8;
  --lightmint-color: #000a13;
  --white-color: #f0fff8;
  --shadow-header-color: #0033624d;
}

header {
  display: flex;
  justify-content: space-around;
  align-items: center;
  height: 131px;
  box-shadow: 0px 2px 40px 0px var(--shadow-header-color);
  background-color: var(--lightmint-color);
  top: 0;
  position: sticky;
  z-index: 9999;
}

header h1 {
  font-size: 32px;
}

header h1 a {
  text-decoration: none;
  color: var(--blackblue-color);
}

header nav ul {
  display: flex;
  gap: 30px;
  padding: 0;
}

header nav ul li {
  list-style-type: none;
  font-size: 20px;
  transition: all 0.2s ease-in-out;
  -webkit-transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  -ms-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
}

header nav ul li:hover {
  font-weight: bold;
}

header nav ul li a {
  text-decoration: none;
  color: var(--blackblue-color);
}

header .btn {
  display: flex;
  gap: 20px;
}

header .btn button {
  border-radius: 16px;
  -webkit-border-radius: 16px;
  -moz-border-radius: 16px;
  -ms-border-radius: 16px;
  -o-border-radius: 16px;
  width: 160px;
  height: 51px;
  border-style: none;
  background-color: var(--primary-color);
  color: #000a13;
  font-size: 18px;
  transition: all 0.3s ease-in-out;
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -ms-transition: all 0.3s ease-in-out;
  -o-transition: all 0.2s ease-in;
  cursor: pointer;
}

header .btn button:hover {
  border: 2px solid var(--primary-color);
  background-color: var(--white-color);
}

#icon {
  cursor: pointer;
}

main {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: var(--lightmint-color);
}

main article.home {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 713.07px;
  margin-inline: 200px;
  gap: 65px;
}

main article .content-left {
  max-width: 575px;
  height: 351px;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
}

main article aside.content-right {
  max-width: 400px;
}

main article .content-left h1 {
  font-weight: 700;
  font-size: 60px;
  line-height: 72px;
  color: var(--blackblue-color);
  /* -webkit-text-stroke: 1px var(--blackblue-color); */
}

main article .content-left p {
  font-size: 20px;
  font-weight: 400;
  line-height: 30px;
  color: var(--blackblue-color);
}

main article .content-left h1 span {
  color: var(--secondary-color);
}

main article .content-left .btn-search {
  display: flex;
  width: 500px;
  gap: 20px;
}

main article .content-left .btn-search input {
  border: 1px solid var(--primary-color);
  border-radius: 16px;
  -webkit-border-radius: 16px;
  -moz-border-radius: 16px;
  -ms-border-radius: 16px;
  -o-border-radius: 16px;
  width: 320px;
  height: 51px;
  padding: 0 24px;
  font-size: 18px;
  line-height: 27px;
  font-weight: 400;
}

main article .content-left .btn-search button {
  border: none;
  background-color: var(--primary-color);
  width: 160px;
  height: 51px;
  border-radius: 16px;
  -webkit-border-radius: 16px;
  -moz-border-radius: 16px;
  -ms-border-radius: 16px;
  -o-border-radius: 16px;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -ms-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
  font-size: 18px;
  line-height: 27px;
  font-weight: 400;
}

main article .content-left .btn-search button:hover {
  border: 1px solid var(--primary-color);
  background-color: var(--white-color);
}

main article.info-container {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  width: 1040px;
  height: 132px;
  border: 1px solid var(--blackblue-color);
  border-radius: 30px;
  -webkit-border-radius: 30px;
  -moz-border-radius: 30px;
  -ms-border-radius: 30px;
  -o-border-radius: 30px;
}

main article.info-container .info-items {
  display: flex;
  gap: 12px;
  border-right-style: solid;
  border-width: 1px;
  border-color: var(--blackblue-color);
  width: 276px;
  height: 72px;
  align-items: center;
}

main article.info-container .info-items h1 {
  font-size: 48px;
  color: var(--secondary-color);
  font-weight: 600;
  line-height: 72px;
  padding-right: 20px;
}

main article.info-container .info-items p {
  font-size: 20px;
  font-weight: 400;
  line-height: 30px;
  color: var(--blackblue-color);
}

main article.info-container .info-items:nth-child(1) {
  gap: 1px;
}

main article.about-container {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 91px;
  height: 574.93px;
}

main article.about-container .about-left {
  width: 484px;
  height: 374.93px;
}

main article.about-container .about-right {
  width: 465px;
  height: 238px;
  display: flex;
  flex-direction: column;
  gap: 16px;
  color: var(--blackblue-color);
}

main article.about-container .about-right h1 {
  font-size: 48px;
  font-weight: 600;
  line-height: 72px;
}

main article.about-container .about-right p {
  font-size: 20px;
  font-weight: 400;
  line-height: 30px;
}

main article.video-container {
  display: flex;
  align-items: center;
  flex-direction: column;
  gap: 40px;
  width: 1040px;
  height: 600px;
}

main article.video-container > h1 {
  font-size: 48px;
  font-weight: 600;
  line-height: 72px;
  text-align: left;
  color: var(--blackblue-color);
}

main article.video-container .list-video {
  height: 389px;
  display: flex;
  justify-content: space-between;
  gap: 22px;
}

main article.video-container .list-video .card {
  border-radius: 16px;
  box-shadow: 0px 2px 20px 0px #71d9b240;
  background-color: var(--white-color);
  -webkit-border-radius: 16px;
  -moz-border-radius: 16px;
  -ms-border-radius: 16px;
  -o-border-radius: 16px;
  padding: 16px;
}

main article.video-container .list-video .card h1 {
  width: 284px;
  height: 72px;
  font-size: 24px;
  font-weight: 500;
  line-height: 36px;
  text-align: left;
  padding-top: 24px;
}

main article.video-container .list-video .card p {
  padding-top: 34px;
}

main article.video-container button {
  width: 278px;
  height: 59px;
  padding: 16px, 30px, 16px, 30px;
  gap: 10px;
  border-radius: 16px;
  -webkit-border-radius: 16px;
  -moz-border-radius: 16px;
  -ms-border-radius: 16px;
  -o-border-radius: 16px;
  background-color: var(--primary-color);
  border-style: none;
  font-size: 18px;
  font-weight: 400;
  line-height: 27px;
  text-align: center;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -ms-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
}

main article.video-container button:hover {
  border: 1px solid var(--primary-color);
  background-color: var(--white-color);
}

main article.video-container button a {
  text-decoration: none;
  color: var(--blackblue-color);
}

/* Lanjutkan coding dari sini ya */
main article.testimonials {
  width: 100%;
  height: 552px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.testimonials h1 {
  font-size: 48px;
  font-weight: 600;
  line-height: 72px;
  text-align: center;
  padding-bottom: 50px;
}

/* Swiper CSS */
.swiper {
  width: 100%;
  height: 230px;
  margin-inline: 20px;
  padding-bottom: 100px;
}

.swiper-slide {
  background-color: var(--primary-color);
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 24px;
  -webkit-border-radius: 24px;
  -moz-border-radius: 24px;
  -ms-border-radius: 24px;
  -o-border-radius: 24px;
  margin: 0;
  padding: 20px 20px 22px 20px;
}

.swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.swiper-slide p {
  font-weight: 400;
  font-size: 18px;
  line-height: 27px;
  /* width: 460px; */
  height: 108px;
}

.username {
  display: flex;
  gap: 12px;
  align-items: center;
}

.username img {
  width: 60px;
}

.username h6 {
  font-weight: 600;
  font-size: 24px;
  line-height: 36px;
  width: 246px;
  height: 36px;
}

footer {
  width: 100%;
  height: 438px;
  background-color: var(--primary-color);
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 100px;
  align-items: center;
}

.copyright p {
  text-align: center;
  font-size: 18px;
}

.footer-container {
  display: flex;
  justify-content: space-between;
  height: 211px;
  width: 1040px;
}

.personal-item {
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: space-between;
}

.social-media {
  width: 250px;
  height: 40px;
}

.social-media ul {
  display: flex;
  justify-content: space-between;
  padding: 0;
  gap: 30px;
}

.social-media ul li {
  list-style-type: none;
}

.social-media ul li a {
  text-decoration: none;
}

.links {
  display: flex;
  gap: 100px;
}

.link ul {
  display: flex;
  flex-direction: column;
  gap: 8px;
  list-style-type: none;
}

.link ul li a {
  text-decoration: none;
  color: #000a13;
}

/* Media Query */
/* Tablet */
@media screen and (max-width: 768px) {
  main article.home {
    flex-direction: column;
    margin-top: 20px;
  }

  main article.info-container {
    flex-direction: column;
    width: 60%;
    height: 600px;
    margin-top: 180px;
  }

  main article.info-container .info-items {
    flex-direction: column;
    border-bottom-style: solid;
    border-right-style: none;
    text-align: center;
    height: auto;
    width: auto;
    padding-bottom: 20px;
  }

  main article.about-container {
    flex-direction: column;
    height: auto;
    margin-top: 40px;
    gap: 40px;
  }

  main article.video-container {
    margin-top: 40px;
    width: 100%;
    height: auto;
  }

  main article.video-container .list-video {
    height: auto;
    flex-direction: column;
    align-items: center;
  }

  main article.video-container .list-video .card {
    width: 58%;
    height: auto;
  }

  .footer-container {
    width: 100%;
    height: auto;
  }

  .links {
    gap: 50px;
  }
}

/* Android */
@media screen and (max-width: 360px) {
  header {
    width: 360px;
  }

  .home {
    border: 1px solid red;
    flex-direction: row;
    width: 328px;
    height: 208px;
    gap: 16px;
  }

  .content-left {
    text-align: center;
  }

  .content-left h1 {
    font-size: 40px;
  }

  main article aside.content-right img {
    width: 260px;
  }
}
